Skip to content

Update Schedule

PATCH /schedules/{schedule_id}

Editing recomputes next_fire_at from the new spec, and clears a deactivation.

NameInTypeNotes
schedule_idpathstring (uuid)required—
FieldTypeNotes
labelstring | nulloptionalmax length 200
cron_expressionsstring[] | nulloptional—
timezonestring | nulloptionalmax length 60
interval_secondsinteger | nulloptionalmin 60
fire_atstring (date-time) | nulloptional—
promptstring | nulloptionalmin length 1
input_templateobject | nulloptional—
actor_contextActorContext | nulloptional—
output_configobject | nulloptional—
expires_atstring (date-time) | nulloptional—
max_failuresinteger | nulloptionalmin 1 max 100
timeout_sinteger | nulloptionalmin 1
is_activeboolean | nulloptional—
StatusDescriptionBody
200Successful ResponseScheduleView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/schedules/{schedule_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
agent_idstring (uuid)required—
persona_idstring (uuid) | nullrequired, nullable—
kindcron | interval | one_shot | eventrequired—
labelstring | nullrequired, nullable—
cron_expressionsobject[]required—
timezonestringrequired—
interval_secondsinteger | nullrequired, nullable—
event_kindstring | nullrequired, nullable—
fire_atstring (date-time) | nullrequired, nullable—
promptstringrequired—
input_templateobject | nullrequired, nullable—
actor_contextobjectrequired—
output_configobjectrequired—
next_fire_atstring (date-time) | nullrequired, nullable—
last_fired_atstring (date-time) | nullrequired, nullable—
last_run_idstring (uuid) | nullrequired, nullable—
expires_atstring (date-time) | nullrequired, nullable—
consecutive_failuresintegerrequired—
max_failuresintegerrequired—
skipped_overlapintegerrequired—
skipped_misfiresintegerrequired—
fire_countintegerrequired—
deactivated_atstring (date-time) | nullrequired, nullable—
deactivated_reasonstring | nullrequired, nullable—
timeout_sinteger | nullrequired, nullable—
is_activebooleanrequired—
created_by_user_idstring (uuid) | nullrequired, nullable—
created_by_run_idstring (uuid) | nullrequired, nullable—
created_atstring (date-time)required—